
Foreman - Bug #7100

foreman-debug should include logs from systemd-based distros

08/15/2014 04:40 AM - Dominic Cleal

Status: Resolved   

Priority: Normal   

Assignee:    

Category: foreman-debug   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged: No Found in Releases:  

Bugzilla link: 1130272 Red Hat JIRA:  

Pull request:    

Description

Cloned from https://bugzilla.redhat.com/show_bug.cgi?id=1130272

Description of problem:

Looks like foreman-debug does not include the logs provided by journalctl on systemd-based distros. I'd like to request that

foreman-debug handle this specially for reporting issues on RHEL 7 hosts.

Version-Release number of selected component (if applicable):

Build:

------

Satellite-6.0.4-RHEL-6-20140813.2

Packages:

---------

candlepin-0.9.23-1.el7.noarch

candlepin-common-1.0.1-1.el7.noarch

candlepin-guice-3.0-2_redhat_1.el7.noarch

candlepin-scl-1-5.el7.noarch

candlepin-scl-quartz-2.1.5-6.el7.noarch

candlepin-scl-rhino-1.7R3-3.el7.noarch

candlepin-scl-runtime-1-5.el7.noarch

candlepin-selinux-0.9.23-1.el7.noarch

candlepin-tomcat-0.9.23-1.el7.noarch

elasticsearch-0.90.10-4.el7sat.noarch

foreman-1.6.0.40-1.el7sat.noarch

foreman-compute-1.6.0.40-1.el7sat.noarch

foreman-gce-1.6.0.40-1.el7sat.noarch

foreman-libvirt-1.6.0.40-1.el7sat.noarch

foreman-ovirt-1.6.0.40-1.el7sat.noarch

foreman-postgresql-1.6.0.40-1.el7sat.noarch

foreman-proxy-1.6.0.27-1.el7sat.noarch

foreman-selinux-1.6.0.6-1.el7sat.noarch

foreman-vmware-1.6.0.40-1.el7sat.noarch

katello-1.5.0-28.el7sat.noarch

katello-ca-1.0-1.noarch

katello-certs-tools-1.5.6-1.el7sat.noarch

katello-installer-0.0.59-1.el7sat.noarch

openldap-2.4.39-3.el7.x86_64

pulp-katello-0.3-3.el7sat.noarch

pulp-nodes-common-2.4.0-0.30.beta.el7sat.noarch

pulp-nodes-parent-2.4.0-0.30.beta.el7sat.noarch

pulp-puppet-plugins-2.4.0-0.30.beta.el7sat.noarch

pulp-puppet-tools-2.4.0-0.30.beta.el7sat.noarch

pulp-rpm-plugins-2.4.0-0.30.beta.el7sat.noarch
pulp-selinux-2.4.0-0.30.beta.el7sat.noarch

pulp-server-2.4.0-0.30.beta.el7sat.noarch

python-ldap-2.4.6-6.el7.x86_64

ruby193-rubygem-net-ldap-0.3.1-3.el7sat.noarch

ruby193-rubygem-runcible-1.1.0-2.el7sat.noarch

rubygem-hammer_cli-0.1.1-11.el7sat.noarch

rubygem-hammer_cli_foreman-0.1.1-15.el7sat.noarch

rubygem-hammer_cli_foreman_tasks-0.0.3-3.el7sat.noarch

rubygem-hammer_cli_katello-0.0.4-12.el7sat.noarch

How reproducible:

Steps to Reproduce:

1. run foreman-debug on RHEL 7 instance

2.

3.

Actual results:

Logs provided by journalctl are not included

Expected results:

Additional info:

History

#1 - 08/15/2014 04:40 AM - Dominic Cleal

- Category set to Packaging

#2 - 02/08/2016 01:11 PM - Bryan Kearney

- Category changed from Packaging to foreman-debug

#3 - 06/06/2017 10:10 AM - Anurag Patel

The original Bugzilla has been marked as CANTFIX and closed. As a result, we can probably close this issue as well.

#4 - 06/07/2017 03:36 PM - Dominic Cleal

Why can't it be fixed? It seems valid and possible to me.

#5 - 07/26/2018 04:17 PM - Chris Roberts

- Status changed from New to Resolved

This is working as intended now.
